@font-face {
  font-family: "Young Morin";
  src: url('YoungMorinRegular-JRzjm.ttf');
  src: url('YoungMorinRegular-JRzjm.ttf') format('truetype'),
}

@font-face {
  font-family: "Schoonheid";
  src: url('SchoonheidRegular-nRwpV.otf');
}


@font-face {
  font-family: "Schoonheid Italic";
  src: url('SchoonheidItalic-RpjRV.otf');
}

@font-face {
  font-family: "Allegra Display";
  src: url('AllegraDisplayDemo-lxLKD.ttf');
}


@font-face {
  font-family: "Schoonheid Caps";
  src: url('SchoonheidContextualCapitals-1GvB0.otf');
}

@font-face {
  font-family: "Shokaro";
  src: url('ShokarotypoRegular-pgRm1.otf');
}

@font-face {
  font-family: "Clamerine";
  src: url('ClamerineRegular-4nZ8K.ttf');
}

.body {
  height: 100%;
  margin: 0;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.overlay__container {
  width: 100%;
  position: relative;
}

.overlay__content {
  top: 0;
  left: 0;
  text-align: center;
  position: absolute;
  background: transparent;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: auto;
  pointer-events: none;
  z-index: 99;
  margin-top: 20vh;

}

pre {
  display: block;
  font-size: 87.5%;
  color: #212529;
  display: block;
  font-family: monospace;
  unicode-bidi: isolate;
  white-space: pre;
  line-height: 1.15;
}

#output {
  white-space: pre;
  font-family: monospace;
  font-size: 0.8vw;
  line-height: 0.8vw;
  letter-spacing: 0.05vw;
  transform: unset;
  overflow-y: hidden;
  margin-top: -70px;
  cursor: none;
  display: none;
}

.text-center {
  text-align: center !important;
  display: flex;
  justify-content: center;
  align-items: center;

}

.row {
  align-items: start;
}

.row__align-center {
  align-items: center;
}

.row,
.row>ul {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: auto;
  gap: var(--spacing-m);
}

.row__no-gap {
  gap: 0;
}

.main__nav-title {
  z-index: 100;
}

.container {
  display: block;
  margin-top: -2vw;
  /* grid-template-columns: 1fr 1fr 1fr; */
  /* grid-area: span;
  padding: 10px; */
  display: none;
}

.titletext {
  justify-content: center;
  align-items: start;
  color: rgb(0, 0, 0);
  font-family: "Allegra Display";
  font-size: 10vw;
  display: flex;
  line-height: 12vw;
  font-style: italic;
}

/* .top_left {
  display: flex;
  justify-content: flex-start;
  align-items: start;
  font-family: "Allegra Display", serif;
  font-optical-sizing: auto;
  font-size: 9rem;
  font-weight: 400;
  font-style: normal;
}

.top_right {
  display: flex;
  justify-content: flex-end;
  align-items: start;
  font-family: "Allegra Display", serif;
  font-size: 9rem;
}

.bottom_right {
  display: flex;
  justify-content: flex-end;
  align-items: end;
  font-family: "Allegra Display", serif;
  font-optical-sizing: auto;
  font-size: 9rem;
  /* font-weight: 400;
  font-style: normal; */

/* } */

/* .bottom_left {
  display: flex;
  justify-content: flex-start;
  align-items: end;
  font-family: "Allegra Display", serif;
  font-size: 9rem;
  font-weight: 400;
}

.center {
  display: flex;
  justify-content: center;
  align-items: start;
  color: rgb(0, 0, 0);
  font-family: "Schoonheid ";
  font-size: 13rem;
  padding-top: 100px;
} */

/* 
 * Top menu bar navigation.
 * changes to hamburger-menu when width is below threshold.
 */

.main__nav-title {
  z-index: 1000;
}


.main__nav-bar {
  width: 100%;
  z-index: 100;
  display: flex;
  justify-content: space-between;
  font-family: "Shokaro";
  font-weight: bold;
}

.main__nav-bar ul {
  display: flex;
  justify-content: space-between;
  gap: 5vw;
  margin: 2vw;
  list-style: none;
}

.main__nav-bar ul li {
  font-weight: 700;
  font-size: 1rem;
}

.main__nav-bar ul li a {
  color: #ffffff00;
  transition: color 0.3s;
  font-weight: inherit;
  text-decoration: none;
}

.main__nav-bar ul li a:hover {
  color: #ffffff00;
  text-decoration: none;
}

.main__nav-item a {
  color: inherit;
  display: block;
  text-decoration: none;
}

.main__nav-ham {
  display: none;
}

/* 3 hamburger-menu bars */

.main__nav-about {
  display: none;
}

body {
  background-image: url(bg.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  /* background-position: 50% 0; */
  height: 100%;
}

@media only screen and (max-width: 788px) {

  .main__nav-bar .main__nav-title li {
    margin-top: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
  }


  .titletext {
    justify-content: center;
    align-items: start;
    color: rgb(0, 0, 0);
    font-family: "Allegra Display";
    font-size: 15vw;
    display: flex;
    line-height: 18vw;
    font-style: italic;
  }

  .overlay__content {
    margin-top: 37.5vh;
  }

  .pre {
    .overlay__content {
      margin-top: 10vh;
    }
  }

.text-center {
  background-color: #ffffff;
  height: 103.5vh;
  margin: -10vh;
  
}

  .container {
    display: block;
    margin-top: -2vw;
    /* grid-template-columns: 1fr 1fr 1fr; */
    /* grid-area: span;
    padding: 10px; */
    display: contents;
    background-color: white;
  }

  #output {
    white-space: pre;
    font-family: monospace;
    font-size: 0.8vw;
    line-height: 0.8vw;
    letter-spacing: 0.05vw;
    transform: unset;
    overflow-y: hidden;
    cursor: none;
    display: contents;
  }

  .main__nav-bar {
    display: flex;
    justify-content: center;
    align-items:center;
    top: 0%;
  }

  .main__nav-bar ul {
    display: block;
    font-size: 1rem;
    padding-top: 0rem;
    
  }

  .main__nav-list {
    height: 102vh;
    left: -100%;
    margin: 0;
    margin-top: -1vh;
    padding-top: 20vh;
    position: fixed;
    background: #ffffff00;
    transition: 0.3s;
    width: 100%;
  }

  ul.main__nav-list {
    padding-top: 20vh;
  }

  .main__nav-list.active {
    left: 0;
  }

  .main__nav-current,
  .main__nav-item {
    margin-left: 1rem;
    padding-bottom: 1rem;
    margin-bottom: 4rem;
    width: 90%;
  }

  .main__nav-current,
  .main__nav-item a {
    font-size: 2.5rem;
    font-weight: 400;
  }

  .main__nav-about {
    display: block;
    margin-left: 1rem;
    width: 70%;
    position: absolute;
  }

  .main__nav-about p {
    font-size: 1rem;
    font-weight: 600;
  }

}


.main__nav-bar {
  background-color: var(--color-header-bg);
  background-color: #ffffff00
}


.main__nav-bar ul li {
  font-weight: 500;

}

.main__nav-bar ul li a {
  color: var(--color-nav-link);
}

.main__nav-bar ul li a:hover {
  font-style: italic;
  font-weight: bold;
  color: black;
}